Skip to Main Content

Java APIs

Announcement

For appeals, questions and feedback, please email oracle-forums_moderators_us@oracle.com

jaxb2 xjc drags in old jaxb

brandon chubbNov 28 2023 — edited Nov 30 2023

It seems when I try to upgrade to jaxb2, and specifically jaxb2-basics-jaxb-xjc – then that includes a com.sun.tools.xjc.api.ErrorListener (interface) that is derived from com.sun.xml.bind.api.ErrorListener. To get that 2nd ErrorListener I can pull in the old jaxb (jaxb-core or jaxb-impl) and then I get an error message about:

java.lang.NoSuchFieldError: disableXmlSecurity

I take this to mean I'm trying to mix incompatible class versions. What should I really be including to make the newer xjc happy?

Comments
Post Details
Added on Nov 28 2023
10 comments
134 views